class aes::sftp {

  # package {
  #   [
  #     'openssh-server-7',
  #   ]:
  #     ensure  => installed,
  # }

  group { "liuitdrs" :
    ensure => present,
    allowdupe => false,
    auth_membership => false,
  }

  file { '/srv/liuitdrs' :
    ensure => directory,
    mode   => '0750',
    owner  => root,
    group  => liuitdrs,
  }

  file { '/srv/liuitdrs/year' :
    ensure => directory,
    mode   => '0770',
    owner  => root,
    group  => liuitdrs,
  }

  file { '/srv/liuitdrs/.ssh' :
    ensure => directory,
    mode   => '0700',
    owner  => root,
    group  => liuitdrs,
  }

  # useradd -d /srv/liuitdrs -g liuitdrs -s /sbin/nologin USER
  user { 'jondy94':
    comment => 'Jon Dybeck',
    shell   => '/sbin/nologin',
    home    => '/srv/liuitdrs',
    groups  => liuitdrs,
  }

  # but this file is already managed by puppet
  file { "/etc/ssh/sshd_config":
    ensure => present,
    owner  => root,
    group  => root,
    mode => '0644',
    source => "puppet:///modules/${module_name}/sshd_config",
   }

  # service { "sshd" : 
  #   ensure => "running",
  # }

}
